@charset "UTF-8";
/*
* Feuille de style global, réunissant l'ensemble des appels
* 
*/
/*
* Définitions des variables
*/
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
:root,
body,
html {
  --background-body: #e8e9e3;
}

/*
* Remise à zéro des styles
*/
* {
  padding: 0;
  box-sizing: border-box;
  z-index: 1;
  font-size: 1em;
}

:root {
  font-size: 16px;
}

body {
  background-color: var(--background-body);
  z-index: 0;
}

html {
  scroll-behavior: smooth;
}

html,
body {
  margin: 0;
  width: 100%;
}

main {
  width: 100%;
  overflow-x: hidden;
}

/*
* Définitions des fonctions
*/
/*
* Gestion des styles 
*/
@font-face {
  font-family: "Bunga";
  src: url(../fonts/Bunga_Regular.otf);
}

body {
  font-family: "Roboto";
}

/*
* Définitions des règles générales pour les élements flex
*/
.flex {
  display: flex;
  flex-flow: row wrap;
  justify-content: stretch;
  align-items: center;
}

.flex--g1 {
  gap: 1em;
}

.flex--gp1 {
  gap: 1em;
  padding: 1em;
}

.flex--g2 {
  gap: 2em;
}

.flex--gp2 {
  gap: 2em;
  padding: 2em;
}

.flex--g3 {
  gap: 3em;
}

.flex--gp3 {
  gap: 3em;
  padding: 3em;
}

.flex--g4 {
  gap: 4em;
}

.flex--gp4 {
  gap: 4em;
  padding: 4em;
}

.flex--spar {
  justify-content: space-around;
}

.flex--center {
  justify-content: center;
}

.flex--spab {
  justify-content: space-between;
}

.flex--start {
  justify-content: flex-start;
}

.flex--end {
  justify-content: flex-end;
}

.flex--col {
  flex-direction: column;
}

.flex--nw {
  flex-wrap: nowrap;
}

.flex--aliStart {
  align-items: flex-start;
}

.flex--aliCenter {
  align-items: center;
}

.flex--aliStretch {
  align-items: stretch;
}

.flex--aliEnd {
  align-items: flex-end;
}

.fl--1 {
  flex: 1;
}

.fl--2 {
  flex: 2;
}

.fl--3 {
  flex: 3;
}

.fl--4 {
  flex: 4;
}

.fl--5 {
  flex: 5;
}

.fl--6 {
  flex: 6;
}

.fl--7 {
  flex: 7;
}

.fl--8 {
  flex: 8;
}

.fl--9 {
  flex: 9;
}

.fl--10 {
  flex: 10;
}

.fl--11 {
  flex: 11;
}

.fl--12 {
  flex: 12;
}

.fl--13 {
  flex: 13;
}

.fl--14 {
  flex: 14;
}

.fl--15 {
  flex: 15;
}

.fl--full {
  min-width: 100%;
}

/*
* Définitions des règles générales pour les sections
*/
.fullH {
  height: 100vh;
}

/*
* Définitions des règles générales pour les espacements entre éléments
*/
.pad--1 {
  padding: 1em;
}

.pad--t1 {
  padding-top: 1em;
}

.pad--r1 {
  padding-right: 1em;
}

.pad--l1 {
  padding-left: 1em;
}

.pad--b1 {
  padding-bottom: 1em;
}

.pad--vert1 {
  padding-bottom: 1em;
  padding-top: 1em;
}

.pad--horiz1 {
  padding-left: 1em;
  padding-right: 1em;
}

.pad--2 {
  padding: 2em;
}

.pad--t2 {
  padding-top: 2em;
}

.pad--r2 {
  padding-right: 2em;
}

.pad--l2 {
  padding-left: 2em;
}

.pad--b2 {
  padding-bottom: 2em;
}

.pad--vert2 {
  padding-bottom: 2em;
  padding-top: 2em;
}

.pad--horiz2 {
  padding-left: 2em;
  padding-right: 2em;
}

.pad--3 {
  padding: 3em;
}

.pad--t3 {
  padding-top: 3em;
}

.pad--r3 {
  padding-right: 3em;
}

.pad--l3 {
  padding-left: 3em;
}

.pad--b3 {
  padding-bottom: 3em;
}

.pad--vert3 {
  padding-bottom: 3em;
  padding-top: 3em;
}

.pad--horiz3 {
  padding-left: 3em;
  padding-right: 3em;
}

.pad--4 {
  padding: 4em;
}

.pad--t4 {
  padding-top: 4em;
}

.pad--r4 {
  padding-right: 4em;
}

.pad--l4 {
  padding-left: 4em;
}

.pad--b4 {
  padding-bottom: 4em;
}

.pad--vert4 {
  padding-bottom: 4em;
  padding-top: 4em;
}

.pad--horiz4 {
  padding-left: 4em;
  padding-right: 4em;
}

.pad--5 {
  padding: 5em;
}

.pad--t5 {
  padding-top: 5em;
}

.pad--r5 {
  padding-right: 5em;
}

.pad--l5 {
  padding-left: 5em;
}

.pad--b5 {
  padding-bottom: 5em;
}

.pad--vert5 {
  padding-bottom: 5em;
  padding-top: 5em;
}

.pad--horiz5 {
  padding-left: 5em;
  padding-right: 5em;
}

.pad--6 {
  padding: 6em;
}

.pad--t6 {
  padding-top: 6em;
}

.pad--r6 {
  padding-right: 6em;
}

.pad--l6 {
  padding-left: 6em;
}

.pad--b6 {
  padding-bottom: 6em;
}

.pad--vert6 {
  padding-bottom: 6em;
  padding-top: 6em;
}

.pad--horiz6 {
  padding-left: 6em;
  padding-right: 6em;
}

.pad--7 {
  padding: 7em;
}

.pad--t7 {
  padding-top: 7em;
}

.pad--r7 {
  padding-right: 7em;
}

.pad--l7 {
  padding-left: 7em;
}

.pad--b7 {
  padding-bottom: 7em;
}

.pad--vert7 {
  padding-bottom: 7em;
  padding-top: 7em;
}

.pad--horiz7 {
  padding-left: 7em;
  padding-right: 7em;
}

.pad--8 {
  padding: 8em;
}

.pad--t8 {
  padding-top: 8em;
}

.pad--r8 {
  padding-right: 8em;
}

.pad--l8 {
  padding-left: 8em;
}

.pad--b8 {
  padding-bottom: 8em;
}

.pad--vert8 {
  padding-bottom: 8em;
  padding-top: 8em;
}

.pad--horiz8 {
  padding-left: 8em;
  padding-right: 8em;
}

.pad--9 {
  padding: 9em;
}

.pad--t9 {
  padding-top: 9em;
}

.pad--r9 {
  padding-right: 9em;
}

.pad--l9 {
  padding-left: 9em;
}

.pad--b9 {
  padding-bottom: 9em;
}

.pad--vert9 {
  padding-bottom: 9em;
  padding-top: 9em;
}

.pad--horiz9 {
  padding-left: 9em;
  padding-right: 9em;
}

.marge--1 {
  margin: 1em;
}

.marge--t1 {
  margin-top: 1em;
}

.marge--r1 {
  margin-right: 1em;
}

.marge--l1 {
  margin-left: 1em;
}

.marge--b1 {
  margin-bottom: 1em;
}

.marge--vert1 {
  margin-bottom: 1em;
  margin-top: 1em;
}

.marge--horiz1 {
  margin-left: 1em;
  margin-right: 1em;
}

.marge--2 {
  margin: 2em;
}

.marge--t2 {
  margin-top: 2em;
}

.marge--r2 {
  margin-right: 2em;
}

.marge--l2 {
  margin-left: 2em;
}

.marge--b2 {
  margin-bottom: 2em;
}

.marge--vert2 {
  margin-bottom: 2em;
  margin-top: 2em;
}

.marge--horiz2 {
  margin-left: 2em;
  margin-right: 2em;
}

.marge--3 {
  margin: 3em;
}

.marge--t3 {
  margin-top: 3em;
}

.marge--r3 {
  margin-right: 3em;
}

.marge--l3 {
  margin-left: 3em;
}

.marge--b3 {
  margin-bottom: 3em;
}

.marge--vert3 {
  margin-bottom: 3em;
  margin-top: 3em;
}

.marge--horiz3 {
  margin-left: 3em;
  margin-right: 3em;
}

.marge--4 {
  margin: 4em;
}

.marge--t4 {
  margin-top: 4em;
}

.marge--r4 {
  margin-right: 4em;
}

.marge--l4 {
  margin-left: 4em;
}

.marge--b4 {
  margin-bottom: 4em;
}

.marge--vert4 {
  margin-bottom: 4em;
  margin-top: 4em;
}

.marge--horiz4 {
  margin-left: 4em;
  margin-right: 4em;
}

.marge--5 {
  margin: 5em;
}

.marge--t5 {
  margin-top: 5em;
}

.marge--r5 {
  margin-right: 5em;
}

.marge--l5 {
  margin-left: 5em;
}

.marge--b5 {
  margin-bottom: 5em;
}

.marge--vert5 {
  margin-bottom: 5em;
  margin-top: 5em;
}

.marge--horiz5 {
  margin-left: 5em;
  margin-right: 5em;
}

.marge--6 {
  margin: 6em;
}

.marge--t6 {
  margin-top: 6em;
}

.marge--r6 {
  margin-right: 6em;
}

.marge--l6 {
  margin-left: 6em;
}

.marge--b6 {
  margin-bottom: 6em;
}

.marge--vert6 {
  margin-bottom: 6em;
  margin-top: 6em;
}

.marge--horiz6 {
  margin-left: 6em;
  margin-right: 6em;
}

.marge--7 {
  margin: 7em;
}

.marge--t7 {
  margin-top: 7em;
}

.marge--r7 {
  margin-right: 7em;
}

.marge--l7 {
  margin-left: 7em;
}

.marge--b7 {
  margin-bottom: 7em;
}

.marge--vert7 {
  margin-bottom: 7em;
  margin-top: 7em;
}

.marge--horiz7 {
  margin-left: 7em;
  margin-right: 7em;
}

.marge--8 {
  margin: 8em;
}

.marge--t8 {
  margin-top: 8em;
}

.marge--r8 {
  margin-right: 8em;
}

.marge--l8 {
  margin-left: 8em;
}

.marge--b8 {
  margin-bottom: 8em;
}

.marge--vert8 {
  margin-bottom: 8em;
  margin-top: 8em;
}

.marge--horiz8 {
  margin-left: 8em;
  margin-right: 8em;
}

.marge--9 {
  margin: 9em;
}

.marge--t9 {
  margin-top: 9em;
}

.marge--r9 {
  margin-right: 9em;
}

.marge--l9 {
  margin-left: 9em;
}

.marge--b9 {
  margin-bottom: 9em;
}

.marge--vert9 {
  margin-bottom: 9em;
  margin-top: 9em;
}

.marge--horiz9 {
  margin-left: 9em;
  margin-right: 9em;
}

.grid {
  display: grid;
  grid-template-columns: 3fr 1.5fr 5fr;
  grid-template-rows: 0.5fr 1fr 0.5fr 1.5fr repeat(2, 1fr) repeat(2, 0.5fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  min-height: 100vh;
}

.grid-banner {
  grid-area: 1 / 1 / 2 / 13;
  text-align: center;
  width: 100%;
  border-bottom: solid 2px black;
  position: relative;
}

.grid-banner .burger {
  position: absolute;
  right: 4rem;
  top: 50%;
  transform: translateY(-50%);
  height: 1em;
  width: 2.5rem;
  cursor: pointer;
}

.grid-banner .burger span {
  position: absolute;
  top: 0;
  left: 50%;
  width: 100%;
  height: 0.25rem;
  display: inline-block;
  background-color: black;
  transform: translateX(-50%);
}

.grid-banner .burger span:last-of-type {
  top: unset;
  bottom: 0;
  transition: width 0.15s ease-in-out;
}

.grid-banner .burger:hover span:last-of-type {
  width: 50%;
}

.grid-title {
  grid-area: 2 / 1 / 3 / 4;
  font-family: "Bunga";
  position: relative;
  border-bottom: solid 2px black;
}

.grid-title h1 {
  margin: 0;
  font-size: 15vw;
  text-align: center;
  line-height: 1.75;
}

.grid-img {
  grid-area: 3 / 1 / 7 / 3;
  background-image: url("../src/love-dress-white-04.jpeg");
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  border-right: solid 2px black;
  border-left: solid 2px black;
}

.grid-footer {
  grid-area: 8 / 3 / 9 / 4;
}

.grid-footer .boulette {
  height: 1em;
  width: 1em;
  font-size: 1.25em;
  background-color: black;
  border-radius: 50%;
}

.grid-footer .copyright {
  font-size: 1.25em;
}

.grid-links {
  grid-area: 7 / 1 / 8 / 4;
  border-top: solid 2px black;
}

.grid-links a {
  color: inherit;
  text-decoration: none;
  font-size: 1.25em;
}

.grid-overlap {
  grid-area: 4 / 2 / 5 / 4;
  z-index: 5;
  background-image: url("../src/love-dress-white-02.jpeg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-bottom: solid 2px black;
  border-top: solid 2px black;
  border-left: solid 2px black;
}

.grid-actions {
  grid-area: 5 / 3 / 7 / 4;
}

.grid-actions a {
  color: inherit;
  font-size: 1.5em;
  text-decoration: none;
  position: relative;
  overflow: visible;
}

.grid-actions a .texte {
  margin-right: 4.5em;
  top: 0;
  position: relative;
  transition: top 0.15s ease-in-out 0.15s;
}

.grid-actions a svg {
  position: absolute;
  top: 50%;
  left: 50%;
  height: auto;
  transform: translate(-50%, -60%);
  width: 135%;
}

.grid-actions a svg .st0 {
  fill: #f6af91;
}

.grid-actions a .arrow {
  display: inline-block;
  height: 0.25em;
  width: 4em;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  transition: width 0.15s ease-in-out, height 0.15s ease-in-out;
}

.grid-actions a .arrow::before, .grid-actions a .arrow::after {
  transition: background-color 0.15s ease-in-out;
}

.grid-actions a .arrow::before {
  content: "";
  height: 1px;
  width: calc(100% - 1px);
  background-color: black;
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.grid-actions a .arrow::after {
  content: "";
  height: 100%;
  aspect-ratio: 1;
  background-color: black;
  display: block;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%) rotate(45deg);
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 75% 25%);
}

.grid-actions a:hover .texte {
  top: -0.6em;
  transition: top 0.15s ease-in-out;
}

.grid-actions a:hover .arrow {
  width: 100%;
  height: 0.5em;
  transition: width 0.15s ease-in-out 0.15s, height 0.15s ease-in-out 0.15s;
}

.grid-actions a:hover .arrow::before, .grid-actions a:hover .arrow::after {
  transition: background-color 0.15s ease-in-out 0.15s;
  background-color: #f6af91;
  filter: brightness(0.85);
}

@media only screen and (min-width: 1024px) {
  .grid {
    grid-template-columns: repeat(2, 1.25fr) repeat(4, 1fr) 0fr 1.5fr 1.5fr repeat(3, 1fr);
    grid-template-rows: 0.5fr 0.35fr 1.5fr repeat(2, 1fr) 0.5fr;
  }
  .grid-title {
    border-bottom: none;
    grid-area: 2 / 1 / 6 / 3;
  }
  .grid-title h1 {
    font-size: 15vh;
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: center;
    transform: translate(-50%, -50%) rotate(-90deg);
    width: 80vh;
    height: calc(100vw * 1 / 6);
    line-height: calc(100vw * 1 / 6);
  }
  .grid-img {
    grid-area: 2 / 3 / 6 / 9;
  }
  .grid-footer {
    grid-area: 6 / 9 / 7 / 13;
    border-top: solid 2px black;
  }
  .grid-links {
    grid-area: 6 / 1 / 7 / 9;
    border-right: solid 2px black;
  }
  .grid-overlap {
    grid-area: 3 / 8 / 4 / 13;
  }
  .grid-actions {
    grid-area: 4 / 9 / 6 / 13;
  }
}

/*
* Définitions des règles générales pour les textes
*/
.tac, .tac .text-block, .tac h2, .tac p {
  text-align: center;
}

.taj, .taj .text-block, .taj h2, .taj p {
  text-align: justify;
}

.tal, .tal .text-block, .tal h2, .tal p {
  text-align: left;
}

.tar, .tar .text-block, .tar h2, .tar p {
  text-align: right;
}

.content-block {
  width: 90%;
  margin: 1em auto;
}

.text-block, h2, p {
  text-align: justify;
  line-height: 1.5;
}

h1 {
  font-family: "Bunga";
}

h2 {
  font-size: 1.5em;
  text-transform: uppercase;
  font-family: "Roboto";
  transform: scale(1.25, 0.75);
  letter-spacing: 0.05em;
  transform-origin: center;
}

small {
  font-size: 0.75em;
}

/*
* Définitions des règles générales pour les img
*/
img {
  height: 100%;
  width: 100%;
  max-height: 100%;
  max-width: 100%;
  object-fit: contain;
}

img.img--cover {
  object-fit: cover;
}
